Passer au contenu principal
POST
/
v1
/
searches
Créer Recherche
curl --request POST \
  --url https://api.olostep.com/v1/searches \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>"
}
'
{
  "id": "search_9bi0sbj9xa",
  "object": "search",
  "created": 1760327323,
  "metadata": {},
  "query": "Best Answer Engine Optimization startups",
  "result": {
    "json_content": "<string>",
    "json_hosted_url": "<string>",
    "links": [
      {
        "url": "<string>",
        "title": "<string>",
        "description": "<string>"
      }
    ]
  }
}

Autorisations

Authorization
string
header
requis

En-tête d'authentification Bearer sous la forme Bearer , où est ton jeton d'authentification.

Corps

application/json
query
string
requis

La requête de recherche en langage naturel.

Réponse

Réponse réussie avec les résultats de recherche.

id
string
Exemple:

"search_9bi0sbj9xa"

object
string
Exemple:

"search"

created
integer
Exemple:

1760327323

metadata
object
query
string
Exemple:

"Best Answer Engine Optimization startups"

result
object